Package org.opensaml.soap.client.messaging

# Class SOAPClientPipelineNameMappingFunction<T>

java.lang.Object
org.opensaml.soap.client.messaging.SOAPClientPipelineNameMappingFunction<T>

Type Parameters:
  `T` - delegate function type

All Implemented Interfaces:
  `Function<MessageContext,T>`

public class SOAPClientPipelineNameMappingFunction<T> extends Object implements Function<MessageContext,T>
Function implementation which resolves a delegate function based on the SOAP client pipeline name, obtained via a lookup of `SOAPClientContext`, by default a direct child of the parent `InOutOperationContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Map<String,Function<MessageContext,T>>`
`delegateMap`
Map of pipeline names to delegate predicates.
`private org.slf4j.Logger`
`log`
Logger.
`private Function<MessageContext,SOAPClientContext>`
`soapClientContextLookup`
Lookup strategy for the SOAP client context.

## Constructor Summary

Constructors
Constructor
Description
`SOAPClientPipelineNameMappingFunction(Map<String,Function<MessageContext,T>> mappings)`
Constructor.
`SOAPClientPipelineNameMappingFunction(Map<String,Function<MessageContext,T>> mappings, ContextDataLookupFunction<MessageContext,SOAPClientContext> lookupStrategy)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`T`
`apply(MessageContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

### soapClientContextLookup

@Nonnull private Function<MessageContext,SOAPClientContext> soapClientContextLookup
Lookup strategy for the SOAP client context.

### delegateMap

@Nonnull private Map<String,Function<MessageContext,T>> delegateMap
Map of pipeline names to delegate predicates.

## Constructor Details

### SOAPClientPipelineNameMappingFunction

public SOAPClientPipelineNameMappingFunction(@Nonnull @ParameterName(name="mappings") Map<String,Function<MessageContext,T>> mappings)
Constructor.

Parameters:
  `mappings` - the pipeline to delegate mappings

### SOAPClientPipelineNameMappingFunction

public SOAPClientPipelineNameMappingFunction(@Nonnull @ParameterName(name="mappings") Map<String,Function<MessageContext,T>> mappings, @Nullable @ParameterName(name="lookupStrategy") ContextDataLookupFunction<MessageContext,SOAPClientContext> lookupStrategy)
Constructor.

Parameters:
  `mappings` - the pipeline to delegate mappings
  `lookupStrategy` - lookup strategy for SOAP client context

## Method Details

### apply

public T apply(@Nullable MessageContext input)

Specified by:
  `apply` in interface `Function<MessageContext,T>`